package org.netkernel.layer0.logging;

import java.io.File;
import java.io.IOException;
import java.util.logging.FileHandler;

public class LogFileHandler extends FileHandler
{	
	private String mPrimaryLogFile;
	
	public LogFileHandler(String aPattern, int aLimit, int aCount,boolean aAppend) throws IOException
	{	super(getFilePattern(aPattern),aLimit,aCount,aAppend);
		String file=getFilePattern(aPattern);
		file=file.replaceAll("\\%g","0");
		mPrimaryLogFile=file;
	}

	private static String getFilePattern(String aPattern) throws IOException
	{	String installPath=LogManager.getInstance().getLogfileBase();
		int i=aPattern.indexOf("%b");
		String result;
		if (i>=0)
		{	File f=new File(installPath,aPattern.substring(i+2));
			result=f.getAbsolutePath();
		}
		else
		{	result=aPattern;
		}		
		return result;
	}
	
	public String getPrimaryLogFile()
	{	return mPrimaryLogFile;
	}
}
