package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.IEndpointStateMeta;
import org.netkernel.layer0.meta.IPhysicalEndpointMeta;
import org.netkernel.request.IRequestResponseFields;
import org.netkernel.request.impl.RequestResponseFieldsImpl;
import org.netkernel.urii.IEndpoint;
import org.netkernel.urii.IIdentifier;

public class PhysicalEndpointMetaImpl implements IPhysicalEndpointMeta
{
	private final IEndpoint mEndpoint;
	
	public PhysicalEndpointMetaImpl(IEndpoint aEndpoint)
	{	mEndpoint=aEndpoint;
	}
	
	public Class getImplementation()
	{	return mEndpoint.getClass();
	}

	public String getDescription()
	{	return null;
	}

	public IIdentifier getHumanReadableDocumentation()
	{	return null;
	}

	public IIdentifier getIcon()
	{	return null;
	}

	public String getName()
	{	return mEndpoint.toString();
	}

	public IRequestResponseFields getAdditionalFields()
	{	IRequestResponseFields result;
		if (mEndpoint instanceof IEndpointStateMeta)
		{	IEndpointStateMeta epm = (IEndpointStateMeta)mEndpoint;
			result=epm.getState();
		}
		else
		{	result=RequestResponseFieldsImpl.EMPTY;
		}
		return result;
	}

}
