package org.netkernel.layer0.representation.impl;

import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;

import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.IHDSNodeList;
import org.netkernel.layer0.representation.IHDSPredicate;

public class HDSSingleNodeList implements IHDSNodeList
{
	private final IHDSNode mNode;
	
	public HDSSingleNodeList(IHDSNode aNode)
	{	mNode=aNode;
	}
	
	public IHDSNodeList filter(IHDSPredicate aPredicate)
	{	IHDSNodeList result;
		if (aPredicate.matches(mNode))
		{	result = this;
		}
		else
		{	result = HDSNodeListImpl.EMPTY;
		}
		return result;
	}

	public IHDSNode get(int aIndex)
	{	return mNode;
	}

	public IHDSNode getFirstNode(String aPath)
	{	return mNode.getFirstNode(aPath);
	}

	public IHDSNode getFirstNode()
	{	return mNode;
	}

	public Object getFirstValue(String aPath)
	{	return mNode.getFirstValue(aPath);
	}

	public Object getFirstValue()
	{	return mNode.getValue();
	}

	public IHDSNodeList getNodes(String aPath)
	{	return mNode.getNodes(aPath);
	}

	public int size()
	{	return 1;
	}

	public IHDSNodeList sort(Comparator<IHDSNode> comparator)
	{	return this;
	}

	public Iterator<IHDSNode> iterator()
	{	return Collections.singletonList(mNode).iterator();
	}

}
