package org.netkernel.layer0.urii;

import org.netkernel.layer0.nkf.INKFExpiryFunction;
import org.netkernel.request.IExpiry;
import org.netkernel.request.impl.ExpiryFactory;
import org.netkernel.request.impl.ExpiryFactory.IExpiryInternal;

public class OrExpiryFunction extends IExpiryInternal implements INKFExpiryFunction 
{
	private final IExpiry mExpiry1;
	private final IExpiry mExpiry2;
	
	public OrExpiryFunction(IExpiry aExpiry1, IExpiry aExpiry2)
	{	mExpiry1=aExpiry1;
		mExpiry2=aExpiry2;
	}
	
	public boolean isExpired(long aNow)
	{	return mExpiry1.isExpired(aNow) || mExpiry2.isExpired(aNow);
	}

	@Override
	public int getType()
	{	return ExpiryFactory.EXPIRY_FUNCTION;
	}

	public IExpiry getFunction()
	{	return this;
	}
	
	public String toString()
	{	return "OrExpiryFunction";
	}
	/*
	public boolean tracksDependencies()
	{	return true;
	}
	*/
	
	public IExpiry[] getExpiryDeterminants()
	{	return new IExpiry[] {mExpiry1,mExpiry2};
	}
}
